For the complete documentation index, see llms.txt. This page is also available as Markdown.

SurveyAnswerOptions

Introduction

SurveyAnswerOptions are selectable choices belonging to a Survey.

Model Definition

Alias

surveyAnswerOption

Capabilities

Relations

Key
Relation
Type
Relation Field(s)

user

Belongs to

user_id

survey

Belongs to

survey_id

List by Survey

List visible SurveyAnswerOptions for one Survey.

Definition

GET /api/surveys/{survey}/answer-options

Route Parameters

Parameter
Type
Description

survey

integer

Survey ID.

Request Keys

Key
Type
Default
Description

selects

string

All fields

Comma-separated fields to return.

relations

string

Default relations

Pipe-separated relations to include.

limit

integer

No limit

Maximum number of answer options.

Example Request

Example Response

Show

Show one visible SurveyAnswerOption.

Definition

GET /api/surveys/{survey}/answer-options/{surveyAnswerOption}

Route Parameters

Parameter
Type
Description

survey

integer

Survey ID.

surveyAnswerOption

integer

Answer option ID belonging to the survey.

Request Keys

Key
Type
Default
Description

selects

string

All fields

Comma-separated fields to return.

relations

string

Default relations

Pipe-separated relations to include.

Example Request

Example Response

Admin: List by Survey

List all SurveyAnswerOptions for one Survey in administration scope.

Definition

GET /api/administration/surveys/{survey}/answer-options

Route Parameters

Parameter
Type
Description

survey

integer

Survey ID.

Request Keys

Key
Type
Default
Description

selects

string

All fields

Comma-separated fields to return.

relations

string

Default relations

Pipe-separated relations to include.

limit

integer

No limit

Maximum number of answer options.

Behavior

Administration results can include soft-deleted answer options.

Example Request

Example Response

Admin: Show

Show one SurveyAnswerOption in administration scope.

Definition

GET /api/administration/surveys/{survey}/answer-options/{surveyAnswerOption}

Route Parameters

Parameter
Type
Description

survey

integer

Survey ID.

surveyAnswerOption

integer

Answer option ID belonging to the survey.

Request Keys

Key
Type
Default
Description

selects

string

All fields

Comma-separated fields to return.

relations

string

Default relations

Pipe-separated relations to include.

Example Request

Example Response

Admin: Create

Create a new SurveyAnswerOption.

Definition

POST /api/administration/surveys/{survey}/answer-options

Route Parameters

Parameter
Type
Description

survey

integer

Survey ID.

Request Keys

Key
Type
Default
Description

lang_id

string

System language

Language key. Use en-US for this example.

title*

string

-

Answer option label.

sort_number

integer

Auto

Order within the survey.

Keys with * are required.

Behavior

Answer options cannot be added after the survey has received a vote.

Example Request

Example Response

Admin: Update

Update an existing SurveyAnswerOption.

Definition

PUT /api/administration/surveys/{survey}/answer-options/{surveyAnswerOption}

Route Parameters

Parameter
Type
Description

survey

integer

Survey ID.

surveyAnswerOption

integer

Answer option ID.

Request Keys

Key
Type
Default
Description

lang_id

string

Current value

Language key.

title

string

Current value

Answer option label.

sort_number

integer

Current value

Order within the survey.

Behavior

The title cannot be changed after the survey has received a vote; sorting remains independently validated.

Example Request

Example Response

Admin: Delete

Delete an existing SurveyAnswerOption.

Definition

DELETE /api/administration/surveys/{survey}/answer-options/{surveyAnswerOption}

Route Parameters

Parameter
Type
Description

survey

integer

Survey ID.

surveyAnswerOption

integer

Answer option ID.

Behavior

An answer option cannot be deleted after the survey has received a vote.

Example Request

Example Response

Last updated